diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index f680df7..7565da6 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -127471,15 +127471,15 @@ PrimitiveRatRicDE(F, UP, L, LQ): Exports == Implementation where
     diff  := D()$L
     diffq := D()$LQ
 
-    lambda(c, l)        == innerlb(l, order(#1, c)::Z)
-    infLambda l         == innerlb(l, -(degree(#1)::Z))
-    infmax(rec, l)      == innermax(rec, l, degree(#1)::Z)
-    dmax(rec, c, l)     == innermax(rec, l, - order(#1, c)::Z)
-    tau0(p, q)          == ((q exquo (p ** order(q, p)))::UP) rem p
-    poly1(c, cp, i)     == */[monomial(1,1)$UP2 - (j * cp)::UP2 for j in 0..i-1]
-    getIndices(n, l)    == removeDuplicates_! concat [r.ij for r in l | r.deg=n]
-    denomRicDE l        == */[c ** bound(c, l) for c in factoredDenomRicDE l]
-    polyRicDE(l, zeros) == concat([0, l], polysol(l, 0, false, zeros))
+    lambda(c, l)       == innerlb(l, z +-> order(z, c)::Z)
+    infLambda l        == innerlb(l, z +-> -(degree(z)::Z))
+    infmax(rec,l)      == innermax(rec, l, z +-> degree(z)::Z)
+    dmax(rec, c,l)     == innermax(rec, l, z +-> - order(z, c)::Z)
+    tau0(p, q)         == ((q exquo (p ** order(q, p)))::UP) rem p
+    poly1(c, cp,i)     == */[monomial(1,1)$UP2 - (j * cp)::UP2 for j in 0..i-1]
+    getIndices(n,l)    == removeDuplicates_! concat [r.ij for r in l | r.deg=n]
+    denomRicDE l       == */[c ** bound(c, l) for c in factoredDenomRicDE l]
+    polyRicDE(l,zeros) == concat([0, l], polysol(l, 0, false, zeros))
 
 -- refine([p1,...,pn], foo) refines the list of factors using foo
     refine(l, ezfactor) ==
@@ -127490,7 +127490,7 @@ PrimitiveRatRicDE(F, UP, L, LQ): Exports == Implementation where
       ans:List(FRC) := empty()
       finite? and zero? b => ans
       lc := leadingDenomRicDE(c, op)
-      if finite? then lc := select_!(#1.deg <= b, lc)
+      if finite? then lc := select_!(z +-> z.deg <= b, lc)
       for rec in lc repeat
         for r in zeros(c, rec.eq) | r ^= 0 repeat
           rcn := r /$RF (c ** rec.deg)
@@ -127510,7 +127510,7 @@ PrimitiveRatRicDE(F, UP, L, LQ): Exports == Implementation where
         not(empty?(ind := dmax(rec, c, l))) repeat
           ans := concat([rec.deg, getPol(rec, c, l, ind)], ans)
           done := concat(rec.deg, done)
-      sort_!(#1.deg > #2.deg, ans)
+      sort_!((z1,z2) +-> z1.deg > z2.deg, ans)
 
     getPol(rec, c, l, ind) ==
 --      one?(rec.deg) => getPol1(ind, c, l)
@@ -127557,7 +127557,7 @@ PrimitiveRatRicDE(F, UP, L, LQ): Exports == Implementation where
         not(empty?(ind := infmax(rec, l))) repeat
           ans := concat([rec.deg, getPoly(rec, l, ind)], ans)
           done := concat(rec.deg, done)
-      sort_!(#1.deg > #2.deg, ans)
+      sort_!((z1,z2) +-> z1.deg > z2.deg, ans)
 
     factoredDenomRicDE l ==
       bd := factors balancedFactorisation(leadingCoefficient l, coefficients l)
@@ -127619,7 +127619,7 @@ PrimitiveRatRicDE(F, UP, L, LQ): Exports == Implementation where
       ans:List(POL) := empty()
       finite? and zero? b => ans
       lc := leadingCoefficientRicDE l
-      if finite? then lc := select_!(#1.deg <= b, lc)
+      if finite? then lc := select_!(z +-> z.deg <= b, lc)
       for rec in lc repeat
         for a in zeros(rec.eq) | a ^= 0 repeat
           atn:UP := monomial(a, rec.deg)
diff --git a/changelog b/changelog
index c149838..e7b7b78 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090614 tpd src/axiom-website/patches.html 20090614.03.tpd.patch
+20090614 tpd books/bookvol10.4 ODPRRIC +-> conversion
 20090614 tpd src/axiom-website/patches.html 20090614.02.tpd.patch
 20090614 tpd books/bookvol10.4 ODEPRIM +-> conversion
 20090614 tpd src/axiom-website/patches.html 20090614.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3824d8a..1f0d200 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1569,5 +1569,7 @@ bookvol10.4 POLY2UP +-> conversion<br/>
 bookvol10.4 PRIMELT +-> conversion<br/>
 <a href="patches/20090614.02.tpd.patch">20090614.02.tpd.patch</a>
 bookvol10.4 ODEPRIM +-> conversion<br/>
+<a href="patches/20090614.03.tpd.patch">20090614.03.tpd.patch</a>
+bookvol10.4 ODPRRIC +-> conversion<br/>
  </body>
 </html>
